/*
*Driver for ADS124S08 created by Haoliang QIN at 20/04/2017
*COPYRIGHT 2017 France Etuves
*Version V1.0
*/

#ifndef __ADS124S08_H
#define __ADS124S08_H

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx.h"

/*-------Fonction Dispo--------------------*/
void GPIO_ExternalADC_Cfg(void);
void Init_ADC_SPI(void);
void SPI2_ConfigADS_par_STM32(void);
void SPI_SendByte(u8 data);
u8 SPI_ReadByte(u8 data);
void SPI_WriteAReg(u8 add, u8 data);
u8 SPI_ReadAReg(u8 add);
u32 SPI_RDATA(void);
void Delay_ms(u16 time);

/*----------Register Define------------------*/
#define Reg_ID 0x0
#define Reg_STATUS 0x1
#define Reg_INPMUX 0x2
#define Reg_PGA 0x3
#define Reg_DATARATE 0x4
#define Reg_REF 0x5
#define Reg_IDACMAG 0x6
#define Reg_IDACMUX 0x7
#define Reg_VBIAS 0x8
#define Reg_SYS 0x9
#define Reg_OFCAL0 0xA
#define Reg_OFCAL1 0xB
#define Reg_OFCAL2 0xC
#define Reg_FSCAL0 0xD
#define Reg_FSCAL1 0xE
#define Reg_FSCAL2 0xF
#define Reg_GPIODAT 0x10
#define Reg_GPIOCOP 0x11


#endif /* __ADS124S08_H */
/************************ (C) COPYRIGHT France Etuves *****END OF FILE****/
